> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Logs



## OpenAPI

````yaml get /v1/sessions/{id}/logs
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/sessions/{id}/logs:
    get:
      summary: Session Logs
      operationId: Sessions_getLogs
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SessionLog'
components:
  schemas:
    SessionLog:
      type: object
      properties:
        method:
          type: string
        pageId:
          type: integer
        sessionId:
          type: string
        request:
          type: object
          properties:
            timestamp:
              description: milliseconds that have elapsed since the UNIX epoch
              type: integer
            params:
              type: object
              additionalProperties: true
              properties: {}
            rawBody:
              type: string
          required:
            - params
            - rawBody
        response:
          type: object
          properties:
            timestamp:
              description: milliseconds that have elapsed since the UNIX epoch
              type: integer
            result:
              type: object
              additionalProperties: true
              properties: {}
            rawBody:
              type: string
          required:
            - result
            - rawBody
        timestamp:
          description: milliseconds that have elapsed since the UNIX epoch
          type: integer
        frameId:
          type: string
        loaderId:
          type: string
      required:
        - method
        - pageId
        - sessionId
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````